﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2010/cfg")

# ******************** Load ********************
def load():
	es.set("sm_skins_command_gk", "!gk")
	es.set("sm_skins_command_personal", "!personal")

	cmdlib.registerServerCommand("soccer_mod_skins_command_gk", command_gk, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_skins_command_personal", command_personal, "Server Command")

	es.server.cmd("exec soccer_mod/modules/skins.cfg")

	addon.reg("sm_skins_command_gk", "soccer_mod_2010/skins/cmd_gk")
	addon.reg("sm_skins_command_personal", "soccer_mod_2010/skins/cmd_personal")

# ******************** Commands ********************
def command_gk(args):
	es.set("sm_skins_command_gk", args[0])

def command_personal(args):
	es.set("sm_skins_command_personal", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	addon.unreg("sm_skins_command_gk")
	addon.unreg("sm_skins_command_personal")

	es.server.cmd("exec soccer_mod/modules/skins.cfg")

	addon.reg("sm_skins_command_gk", "soccer_mod_2010/skins/cmd_gk")
	addon.reg("sm_skins_command_personal", "soccer_mod_2010/skins/cmd_personal")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_skins_command_gk")
	cmdlib.unregisterServerCommand("soccer_mod_skins_command_personal")

	addon.unreg("sm_skins_command_gk")
	addon.unreg("sm_skins_command_personal")